org.apache.ignite.internal.processors.marshaller

## Class MappedName

- java.lang.Object
- - org.apache.ignite.internal.processors.marshaller.MappedName

All Implemented Interfaces:
  Serializable

    public final class MappedName
    extends Object
    implements Serializable

Contains mapped class name and boolean flag showing whether this mapping was accepted by other nodes or not.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MappedName(String clsName, boolean accepted)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accepted()`
`String` `className()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MappedName

    public MappedName(String clsName,
                      boolean accepted)

Parameters:
  `clsName` - Class name.
  `accepted` - Accepted.

### Method Detail

#### className

    public String className()

#### accepted

    public boolean accepted()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018